De installatie van spamassassin mislukte eerst eigenlijk doordat ik de dependencies niet opgelost kreeg van spamassassin 2.40 . Later is het dan toch gelukt, met spamassassin 2.55 . Via deze howto en een extra rpm (openssl-0.9.6b-3.i386.rpm), en wat handwerk om twee links opnieuw te maken.

Spamassassin werkt goed, heel goed. Ik heb de scores voor Pyzor en DCC ietwat opgeschroefd naar nיt boven de 5, mail die voorkomt in die databases hoort niet goedgekeurd te worden. Na aanpassing is er nog geen enkele spam-mail doorgeglipt, ik heb nog geen false-positives gehad.

Ik had wel een enorme lijst met rpm's nodig om het werkende te krijgen:

  • dcc-dccproc-1.1.19-1.i386.rpm
  • e-smith-spamassassin-0.0.2-1.noarch.rpm
  • openssl-0.9.6b-3.i386.rpm
  • perl-Digest-HMAC-1.01-1.i386.rpm
  • perl-Digest-Nilsimsa-0.06-1.i386.rpm
  • perl-libnet-1.0901-17.i386.rpm
  • perl-Mail-SpamAssassin-2.55-1.7.3.i386.rpm
  • perl-Net-DNS-0.29-1.i386.rpm
  • perl-Net-Ping-2.24-1.i386.rpm
  • perl-razor-agents-2.20-1.i386.rpm
  • pyzor-0.4.0-1.noarch.rpm
  • spamassassin-2.55-1.7.3.i386.rpm
  • spamassassin-tools-2.55-1.7.3.i386.rpm
  • en het e-smith user-panel